%define enable_gpl  1
%define enable_non_free  1
%define buildver %{version}

Name:          ffmpeg
Epoch:         2
Version:       7.0.1
Release:       5mamba
Summary:       Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ffmpeg.org/
Source:        http://ffmpeg.mplayerhq.hu/releases/ffmpeg-%{version}.tar.bz2
Patch1:        %{name}-0.4.9-pic.patch
Patch2:        %{name}-20080820svn-libx264.patch
Patch3:        %{name}-0.5-x264.patch
Patch4:        %{name}-0.11-install_url_h.patch
Patch5:        ffmpeg-5.1-add-av_stream_get_first_dts-for-chromium.patch
License:       LGPL, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libSDL2-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libass-devel
BuildRequires: libbluray-devel
BuildRequires: libbzip2-devel
%ifarch %{ix86} x86_64
BuildRequires: libcrystalhd-devel
%endif
BuildRequires: libdc1394-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgnutls-devel
BuildRequires: libgsm-devel
BuildRequires: liblame-devel
BuildRequires: liblzma-devel
BuildRequires: libmodplug-devel
BuildRequires: libopencore-amr-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libopus-devel
BuildRequires: libpulseaudio-devel
BuildRequires: librtmp-devel
BuildRequires: libspeex-devel
BuildRequires: libtheora-devel
BuildRequires: libv4l-devel
BuildRequires: libva-devel
BuildRequires: libvdpau-devel
BuildRequires: libvorbis-devel
BuildRequires: libvpx-devel
BuildRequires: libx264-devel
BuildRequires: libxcb-devel
BuildRequires: libxvidcore-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: liborc-devel
BuildRequires: libogg-devel
BuildRequires: libfaad2-devel
BuildRequires: libraw1394-devel
BuildRequires: liba52dec-devel
BuildRequires: yasm-devel
BuildRequires: ldconfig
# texi2html required
BuildRequires: tetex >= 3.0
BuildRequires: libass-devel
BuildRequires: libenca-devel
Obsoletes:     libffmpeg < 1:5.0
Obsoletes:     libav < 1:5.0

%description
FFmpeg is a very fast video and audio converter.
It can also grab from a live audio/video source.
The command line interface is designed to be intuitive, in the sense that ffmpeg tries to figure out all the parameters, when possible.
You have usually to give only the target bitrate you want.
FFmpeg can also convert from any sample rate to any other, and resize video on the fly with a high quality polyphase filter.

%package examples
Summary:   ffmpeg coding examples
Group:     Development/Libraries

%description examples
ffmpeg coding examples.

%package presets
Summary:   Preset configuration files used by libavcodec
Group:     System/Libraries
Provides:  ffmpegpresets

%description presets
Preset configuration files used by libavcodec.

%package -n libswscale
Summary:   ffmpeg video scaling library
Group:     System/Libraries
Provides:  libswscale-ffmpeg
Obsoletes: libswscale-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libswscale-ffmpeg1 < 1:5.0
Obsoletes: libswscale-libav < 1:5.0

%description -n libswscale
ffmpeg video scaling library.

%package -n libswscale-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libswscale = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libswscale-ffmpeg-devel
Obsoletes: libswscale-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libswscale-libav-devel < 1:5.0

%description -n libswscale-devel
ffmpeg video scaling library.
This package contains the header files and static libraries needed to compile applications or shared objects that use libswscale

%package -n libswresample
Summary:   ffmpeg resampling library
Group:     System/Libraries
Provides:  libswresample-ffmpeg
Obsoletes: libswresample-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libswresample-ffmpeg1 < 1:5.0
Obsoletes: libswresample-libav < 1:5.0

%description -n libswresample
ffmpeg resampling library.

%package -n libswresample-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libswresample = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libswresample-ffmpeg-devel
Obsoletes: libswresample-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libswresample-libav-devel < 1:5.0

%description -n libswresample-devel
ffmpeg resampling library.
This package contains the header files and static libraries needed to compile applications or shared objects that use libswscale

%package -n libavcodec
Summary:   ffmpeg library implementing various Audio/Video codecs
Group:     System/Libraries
Requires:  ffmpegpresets
Provides:  libavcodec-ffmpeg
Obsoletes: libavcodec-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libavcodec-libav < 1:5.0

%description -n libavcodec
ffmpeg library implementing various Audio/Video codecs.

%package -n libavcodec-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libavcodec = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libavcodec-ffmpeg-devel
Obsoletes: libavcodec-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libavcodec-libav-devel < 1:5.0

%description -n libavcodec-devel
ffmpeg library implementing various Audio/Video codecs.
This package contains the header files and static libraries needed to compile applications or shared objects that use libavcodec

%package -n libavdevice
Summary:   ffmpeg device handling library
Group:     System/Libraries
Provides:  libavdevice-ffmpeg
Obsoletes: libavdevice-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libavdevice-libav-devel < 1:5.0

%description -n libavdevice
ffmpeg device handling library.

%package -n libavdevice-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libavdevice = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libavdevice-ffmpeg-devel
Obsoletes: libavdevice-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libavdevice-libav-devel < 1:5.0

%description -n libavdevice-devel
ffmpeg device handling library.
This package contains the header files and static libraries needed to compile applications or shared objects that use libavdevice.

%package -n libavfilter
Summary:   ffmpeg filtering library
Group:     System/Libraries
Provides:  libavfilter-ffmpeg
Obsoletes: libavfilter-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libavfilter-libav < 1:5.0

%description -n libavfilter
ffmpeg filtering library.

%package -n libavfilter-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libavfilter = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libavfilter-ffmpeg-devel
Obsoletes: libavfilter-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libavfilter-libav-devel < 1:5.0

%description -n libavfilter-devel
ffmpeg filtering library.
This package contains the header files and static libraries needed to compile applications or shared objects that use libavformat

%package -n libavformat
Summary:   ffmpeg format library
Group:     System/Libraries
Provides:  libavformat-ffmpeg
Obsoletes: libavformat-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libavformat-libav < 1:5.0

%description -n libavformat
ffmpeg format library.

%package -n libavformat-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libavformat = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libavformat-ffmpeg-devel
Obsoletes: libavformat-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libavformat-libav-devel < 1:5.0

%description -n libavformat-devel
ffmpeg format library.
This package contains the header files and static libraries needed to compile applications or shared objects that use libavformat

%package -n libavutil
Summary:   Shared library part of ffmpeg
Group:     System/Libraries
Provides:  libavutil-ffmpeg
Obsoletes: libavutil-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libavutil-libav < 1:5.0

%description -n libavutil
Shared library part of ffmpeg.

%package -n libavutil-devel
Summary:   Shared header files and static libraries part of ffmpeg
Group:     Development/Libraries
Requires:  libavutil = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libavutil-ffmpeg-devel
Obsoletes: libavutil-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libavutil-libav-devel < 1:5.0

%description -n libavutil-devel
This is the common utility library from the ffmpeg project. 
It is required by all other ffmpeg libraries.
This package contains the header files and static libraries needed to compile applications or shared objects that use libavutil

%package -n libpostproc
Summary:   Video postprocessing library from ffmpeg
Group:     System/Libraries
Provides:  libpostproc-ffmpeg
Obsoletes: libpostproc-ffmpeg <= 2:7.0.1-1mamba
Obsoletes: libpostproc-ffmpeg1 < 1:5.0
Obsoletes: libpostproc-libav < 1:5.0

%description -n libpostproc
FFmpeg is a very fast video and audio converter. It can also grab from a live audio/video source.
This package contains only ffmpeg's postproc post-processing library which other projects such as transcode may use. Install this package if you intend to use MPlayer, transcode or other similar programs.

%package -n libpostproc-devel
Summary:   Video postprocessing library from ffmpeg
Group:     Development/Libraries
Requires:  libpostproc = %{?epoch:%epoch:}%{version}-%{release}
Provides:  libpostproc-ffmpeg-devel
Obsoletes: libpostproc-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes: libpostproc-libav-devel < 1:5.0

%description -n libpostproc-devel
FFmpeg is a very fast video and audio converter. It can also grab from a live audio/video source.
This package contains only ffmpeg's postproc post-processing headers and static libraries which other projects such as transcode may use. Install this package if you intend to use MPlayer, transcode or other similar programs.

%package -n libavresample
Summary:       ffmpeg resample library
Group:         System/Libraries
Provides:      libavresample-ffmpeg
Obsoletes:     libavresample-ffmpeg <= 2:7.0.1-1mamba
Obsoletes:     libavresample-libav < 1:5.0

%description -n libavresample
FFmpeg resample library.

%package -n libavresample-devel
Summary:       Shared header files and static libraries part of ffmpeg libavresample
Group:         System/Libraries
Requires:      libavresample = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libavresample-ffmpeg-devel
Obsoletes:     libavresample-ffmpeg-devel <= 2:7.0.1-1mamba
Obsoletes:     libavresample-libav-devel < 1:5.0

%description -n libavresample-devel
FFmpeg resample library.
This package contains the header files and static libraries needed to compile applications or shared objects that use libavutil

%package devel
Summary:   Virtual package that installs all the FFmpeg development packages
Group:     Development/Libraries
Requires:  libavcodec-devel
Requires:  libavdevice-devel
Requires:  libavfilter-devel
Requires:  libavformat-devel
Requires:  libavutil-devel
Requires:  libpostproc-devel
Requires:  libswscale-devel
Requires:  libswresample-devel
Obsoletes: libav-devel < 1:5.0

%description devel
This is a virtual package that contains the dependencies necessary for installing all the FFmpeg development packages. 

%debug_package

%prep
%setup -q -n ffmpeg-%{buildver}
%define _default_patch_fuzz 2
%patch 5 -p1 -b .add-av_stream_get_first_dts-for-chromium

%build
# configure not generated by autoconf
# -D__LINUX_USER__ is required by crystalhd
export CFLAGS="%{optflags} -fno-unit-at-a-time -D__LINUX_USER__"

%ifarch %{ix86}
export CFLAGS="$CFLAGS -Wno-error=incompatible-pointer-types -Wno-error=int-conversion"
%endif

./configure \
    --prefix="%{_prefix}" \
    --libdir="%{_libdir}" \
	--shlibdir="%{_libdir}" \
    --mandir="%{_mandir}" \
    --enable-libmp3lame \
    --enable-libvorbis \
    --enable-libtheora \
    --enable-libgsm \
    --enable-libdc1394 \
    --enable-shared \
    --enable-pthreads \
    --disable-stripping \
    --enable-libopenjpeg \
    --enable-libspeex \
    --enable-swscale \
    --enable-libass \
    --enable-libbluray \
    --enable-libfreetype \
    --enable-libmodplug \
    --enable-libopenjpeg \
    --enable-libopus \
    --enable-libpulse \
    --enable-librtmp \
    --enable-libv4l2 \
    --enable-libvpx \
    --enable-libxvid \
    --enable-pic \
    --enable-postproc \
    --enable-runtime-cpudetect \
    --enable-shared \
    --enable-swresample \
    --enable-vdpau \
%if %enable_gpl
    --enable-gpl \
	--enable-fontconfig \
    --enable-gnutls \
    --enable-version3 \
    --enable-libxvid \
    --enable-postproc \
    --enable-libopencore-amrnb \
    --enable-libopencore-amrwb \
%if %enable_non_free
    --enable-nonfree \
%endif
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
     shlibdir="%{buildroot}%{_libdir}" \
       libdir="%{buildroot}%{_libdir}"

# create compat symlink
install -d %{buildroot}%{_libdir}/libavcodec
ln -s ../libavcodec.a %{buildroot}%{_libdir}/libavcodec/libavcodec.a

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libavcodec -p /sbin/ldconfig
%postun -n libavcodec -p /sbin/ldconfig

%post -n libavdevice -p /sbin/ldconfig
%postun -n libavdevice -p /sbin/ldconfig

%post -n libavfilter -p /sbin/ldconfig
%postun -n libavfilter -p /sbin/ldconfig

%post -n libavformat -p /sbin/ldconfig
%postun -n libavformat -p /sbin/ldconfig

%post -n libavresample -p /sbin/ldconfig
%postun -n libavresample -p /sbin/ldconfig

%post -n libavutil -p /sbin/ldconfig
%postun -n libavutil -p /sbin/ldconfig

%post -n libpostproc -p /sbin/ldconfig
%postun -n libpostproc -p /sbin/ldconfig

%post -n libswscale -p /sbin/ldconfig
%postun -n libswscale -p /sbin/ldconfig

%post -n libswresample -p /sbin/ldconfig
%postun -n libswresample -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/ffmpeg
%{_bindir}/ffplay
%{_bindir}/ffprobe
#%{_bindir}/ffserver
%{_datadir}/ffmpeg/ffprobe.xsd
%{_mandir}/man1/ffmpeg.1*
%{_mandir}/man1/ffplay.1*
%{_mandir}/man1/ffprobe.1*
%{_mandir}/man1/ffmpeg-all.1*
%{_mandir}/man1/ffplay-all.1*
%{_mandir}/man1/ffprobe-all.1*
%{_mandir}/man1/ffmpeg-bitstream-filters.1*
%{_mandir}/man1/ffmpeg-codecs.1*
%{_mandir}/man1/ffmpeg-devices.1*
%{_mandir}/man1/ffmpeg-filters.1*
%{_mandir}/man1/ffmpeg-formats.1*
%{_mandir}/man1/ffmpeg-protocols.1*
%{_mandir}/man1/ffmpeg-resampler.1*
%{_mandir}/man1/ffmpeg-scaler.1*
%{_mandir}/man1/ffmpeg-utils.1*
%doc CREDITS

%files examples
%defattr(-,root,root)
%dir %{_datadir}/ffmpeg/examples
%{_datadir}/ffmpeg/examples/*.c
%{_datadir}/ffmpeg/examples/Makefile
%{_datadir}/ffmpeg/examples/README

%files presets
%defattr(-,root,root)
%dir %{_datadir}/ffmpeg
%{_datadir}/ffmpeg/libvpx-*.ffpreset

%files -n libavcodec
%defattr(-,root,root)
%{_libdir}/libavcodec.so.*

%files -n libavcodec-devel
%defattr(-,root,root)
%dir %{_includedir}/libavcodec
%{_includedir}/libavcodec/*
%dir %{_libdir}/libavcodec
%{_libdir}/libavcodec/libavcodec.a
%{_libdir}/libavcodec.a
%{_libdir}/libavcodec.so
%{_libdir}/pkgconfig/libavcodec.pc
%{_mandir}/man3/libavcodec.3*

%files -n libavdevice
%defattr(-,root,root)
%{_libdir}/libavdevice.so.*

%files -n libavdevice-devel
%defattr(-,root,root)
%dir %{_includedir}/libavdevice
%{_includedir}/libavdevice/*.h
%{_libdir}/libavdevice.a
%{_libdir}/libavdevice.so
%{_libdir}/pkgconfig/libavdevice.pc
%{_mandir}/man3/libavdevice.3*

%files -n libavfilter
%defattr(-,root,root)
%{_libdir}/libavfilter.so.*

%files -n libavfilter-devel
%defattr(-,root,root)
%dir %{_includedir}/libavfilter
%{_includedir}/libavfilter/*.h
%{_libdir}/libavfilter.a
%{_libdir}/libavfilter.so
%{_libdir}/pkgconfig/libavfilter.pc
%{_mandir}/man3/libavfilter.3*

%files -n libavformat
%defattr(-,root,root)
%{_libdir}/libavformat.so.*

%files -n libavformat-devel
%defattr(-,root,root)
%dir %{_includedir}/libavformat
%{_includedir}/libavformat/*.h
%{_libdir}/libavformat.a
%{_libdir}/libavformat.so
%{_libdir}/pkgconfig/libavformat.pc
%{_mandir}/man3/libavformat.3*

%files -n libavutil
%defattr(-,root,root)
%{_libdir}/libavutil.so.*

%files -n libavutil-devel
%defattr(-,root,root)
%dir %{_includedir}/libavutil
%{_includedir}/libavutil/*.h
%{_libdir}/libavutil.a
%{_libdir}/libavutil.so
%{_libdir}/pkgconfig/libavutil.pc
%{_mandir}/man3/libavutil.3*

%files -n libpostproc
%defattr(-,root,root)
%{_libdir}/libpostproc.so.*

%files -n libpostproc-devel
%defattr(-,root,root)
%dir %{_includedir}/libpostproc
%{_includedir}/libpostproc/*.h
%{_libdir}/libpostproc.a
%{_libdir}/libpostproc.so
%{_libdir}/pkgconfig/libpostproc.pc

%files -n libswscale
%defattr(-,root,root)
%{_libdir}/libswscale.so.*

%files -n libswscale-devel
%defattr(-,root,root)
%dir %{_includedir}/libswscale
%{_includedir}/libswscale/*.h
%{_libdir}/libswscale.a
%{_libdir}/libswscale.so
%{_libdir}/pkgconfig/libswscale.pc
%{_mandir}/man3/libswscale.3*

%files -n libswresample
%defattr(-,root,root)
%{_libdir}/libswresample.so.*

%files -n libswresample-devel
%defattr(-,root,root)
%dir %{_includedir}/libswresample
%{_includedir}/libswresample/*.h
%{_libdir}/libswresample.a
%{_libdir}/libswresample.so
%{_libdir}/pkgconfig/libswresample.pc
%{_mandir}/man3/libswresample.3*

%files devel
%defattr(-,root,root)
%dir %{_docdir}/ffmpeg
%{_docdir}/ffmpeg/*

%changelog
* Wed Jun 12 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-5mamba
- libavdevice: fix for obsoleting libavcodec by mistake

* Mon Jun 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-4mamba
- added legacy provides for *-ffmpeg{,-devel}

* Sat Jun 08 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-3mamba
- libavdevice-devel: fix obsolete for libavdevice-ffmpeg-devel

* Mon May 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-2mamba
- remove -ffmpeg suffix from package names

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 7.0.1-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 7.0-1mamba
- automatic version update by autodist

* Sun Dec 31 2023 Automatic Build System <autodist@mambasoft.it> 6.1.1-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 6.1-1mamba
- automatic version update by autodist

* Mon Nov 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.1-1mamba
- update to 6.0.1
- epoch bump since 6.1 crashes VLC in OpenGL/VAAPI backend for VDPAU for hardware decoding

* Tue Mar 07 2023 Automatic Build System <autodist@mambasoft.it> 6.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2022 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1-2mamba
- reapply add-av_stream_get_first_dts-for-chromium patch for 5.1

* Wed Aug 03 2022 Automatic Build System <autodist@mambasoft.it> 5.1-1mamba
- automatic version update by autodist

* Tue Apr 05 2022 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Mon Feb 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0-2mamba
- patched to add av_stream_get-first_dts function for chromium

* Mon Jan 24 2022 Automatic Build System <autodist@mambasoft.it> 5.0-1mamba
- automatic version update by autodist

* Mon Oct 25 2021 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 4.4-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Sat Jul 11 2020 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic version update by autodist

* Thu May 21 2020 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Wed Jan 01 2020 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Sat Sep 07 2019 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Tue Aug 06 2019 Automatic Build System <autodist@mambasoft.it> 4.2-1mamba
- automatic version update by autodist

* Tue Jul 09 2019 Automatic Build System <autodist@mambasoft.it> 4.1.4-1mamba
- automatic version update by autodist

* Mon Apr 01 2019 Automatic Build System <autodist@mambasoft.it> 4.1.3-1mamba
- automatic version update by autodist

* Sat Mar 23 2019 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic version update by autodist

* Sun Feb 10 2019 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Fri Dec 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1-3mamba
- obsolete -libav packages

* Fri Dec 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1-2mamba
- rebuilt with debug package

* Tue Nov 06 2018 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Sat Nov 03 2018 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic version update by autodist

* Tue Aug 28 2018 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Wed Dec 07 2016 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Sat Oct 22 2016 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic version update by autodist

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Tue Aug 09 2016 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Fri Jul 01 2016 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Mon Jun 27 2016 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Thu Apr 28 2016 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Mon Feb 15 2016 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Mon Feb 01 2016 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 2.8.5-2mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic version update by autodist

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic version update by autodist

* Thu Nov 12 2015 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Wed Sep 09 2015 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic version update by autodist

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Sun Nov 02 2014 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Sun Oct 05 2014 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Mon Sep 15 2014 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Thu Jul 31 2014 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Wed May 14 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.2-2mamba
- obsolete packages with same library version coming from legacy ffmpeg1

* Tue May 06 2014 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Thu Apr 10 2014 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Mar 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-2mamba
- enable build of libavresample and many other support options

* Mon Mar 24 2014 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Mon Feb 24 2014 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Thu Jan 16 2014 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Wed Nov 20 2013 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Wed Oct 09 2013 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Sun Jun 23 2013 openmamba WebBuild System <webbuild@openmamba.org> 1.2.1-2mamba
- add a virtual package that help installing all the ffmpeg development packages

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Tue Feb 12 2013 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Sep 28 2012 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Wed Sep 19 2012 Automatic Build System <autodist@mambasoft.it> 0.11.2-1mamba
- automatic version update by autodist

* Fri Jun 08 2012 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Sun May 06 2012 Automatic Build System <autodist@mambasoft.it> 0.10.3-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Wed Mar 28 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.08.10-2mamba
- added --enable-x11grab option

* Fri Mar 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.10-1mamba
- update to 0.8.10
- added libavformat/url.h as required by recent chromium

* Tue Nov 22 2011 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Sat Nov 05 2011 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Tue Oct 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-2mamba
- obsolete libav*

* Tue Oct 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-1mamba
- update to 0.8.5

* Mon Oct 18 2010 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic update to 0.6.1 by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 0.6-1mamba
- automatic update to 0.6 by autodist

* Tue May 25 2010 Automatic Build System <autodist@mambasoft.it> 0.5.2-1mamba
- automatic update to 0.5.2 by autodist

* Tue Mar 16 2010 Automatic Build System <autodist@mambasoft.it> 0.5.1-2mamba
- automatic rebuild by autodist

* Fri Mar 05 2010 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic update to 0.5.1 by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 0.5.0.20091119-1mamba
- update to 0.5.snapshot20091119

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 0.5-3mamba
- automatic rebuild by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.5-2mamba
- automatic rebuild by autodist

* Mon Apr 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- update to 0.5
- removed compatibility headers as complained by libxine 1.1.16.3

* Mon Dec 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081113-5mamba
- remove provides for libffmpeg and libffmpeg-devel

* Thu Nov 20 2008 gil <puntogil@libero.it> 20081113-4mamba
- rebuilt with new libdc1394 2.0.2

* Thu Nov 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081113-3mamba
- add obsoletes for libffmpeg and libffmpeg to all subpackages

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081113-2mamba
- ffmpeg: don't obsolete libpostproc

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081113-1mamba
- package renamed to ffmpeg; rename libraries to standard names and add proper provides and obsoletes for upgrade

* Wed Aug 20 2008 gil <puntogil@libero.it> 20080820-1mamba
- update to 20080820
- edit configure options
- added patch
- rebuilt with: libschroedinger, libamrnb, libamrwb, ffmpeg-checkout-snapshot.tar.bz2,
- enable non free (libamrnb, libamrwb) License: unredistributable 

* Mon Jun 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080504-2mamba
- rebuilt with recent libdc1394

* Mon May 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080504-1mamba
- update to 20080505

* Wed Apr 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080402-1mamba
- update to 20080402

* Fri Feb 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080229-1mamba
- update to 20080229
- set exported-snapshot as source instead of svn

* Sun Feb 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20080203-1mamba
- update to 20080203

* Thu Dec 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 20071213-1mamba
- update to 20071213
- enabled pthread support
- changed package maintainer
- enabled support for libtheora and libx264

* Fri Jan 19 2007 Davide Madrisan <davide.madrisan@qilinux.it> 20070119-1qilnx
- updated to subversion 20070119
- dropped patch against CVE-2005-4048 (merged upstream)
- the shared libraries are now compiled with the -fPIC option: dropped patch

* Mon Dec 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.9-2qilnx
- fixed security issue CVE-2005-4048 (qibug#97)
- gcc4 fixes; compile the library with -fPIC
- HTML documentation moved to devel package

* Fri Jun 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.9-pre1-1qilnx
- update to version 0.4.9-pre1 by autospec

* Sun Oct 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.4.8-2qilnx
- specfile modified to match QiLinux standards
- library name modified (was ffmpeg)
- added a path to fix the broken configure check for the imlib2 library

* Mon Sep 13 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.4.8-1qilnx
- first build
